Get Product
curl --request GET \
--url https://api.withflex.com/v1/products/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/products/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product": {
"product_id": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"created_at": "2026-06-15T14:30:00Z",
"visit_type": "cbtSleep",
"active": false,
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"url": "https://example.com",
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Get Product
Retrieves a product by ID. Resolves your own products, and (if you belong to an organization) products owned by a sibling account.
GET
/
v1
/
products
/
{id}
Get Product
Authorizations
Use a Bearer token to access this API.
Path Parameters
Example:
"fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Response
An envelope wrapping a single product object.
An envelope wrapping a single product object.
The product object.
Show child attributes
Show child attributes
Example:
{ "product_id": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA", "owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA", "name": "Example", "description": "Premium SPF 50 mineral sunscreen", "created_at": "2026-06-15T14:30:00Z", "visit_type": "cbtSleep", "active": false, "hsa_fsa_eligibility": "not_eligible", "test_mode": false, "metadata": { "order_id": "8842", "channel": "shopify" }, "url": "https://example.com", "client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA" }
⌘I